Subject: Re: bug#51358: [PATCH] Getting rid of some ocaml4.07-* packages.

From: Julien Lepiller <[email-masked]>
Date: Tue, 26 Oct 2021 00:05:36 +0200

Le Mon, 25 Oct 2021 15:56:05 +0200,
zimoun <[email-masked]> a écrit :

> Hi Julien,
> 
> On sam., 23 oct. 2021 at 19:58, Julien Lepiller <[email-masked]>
> wrote:
> > * gnu/packages/ocaml.scm (ocaml4.07-lacaml): Replace with...
> > (ocaml-lacaml): ...this.  Use latest ocaml package.
> > ---
> >  gnu/packages/ocaml.scm | 11 ++++-------
> >  1 file changed, 4 insertions(+), 7 deletions(-)  
> 
> Maybe I am missing something.  I fail to build it:
> 
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix build ocaml-lacaml --no-grafts
> 
> [...]
> 
> File "src/config/make_prec_dep.ml", line 1:
> Error:
> /gnu/store/nly2n0llgm0x7hdr4x2xrm28v0qcadxf-ocaml4.07-base-0.11.1/lib/ocaml/site-lib/base/base.cmi
> is not a compiled interface for this version of OCaml. It seems to be
> for an older version of OCaml. command "dune" "build" "@install"
> "--release" failed with status 1 builder for
> `/gnu/store/1xnqbgnxhvjjfzbsdsgz6blf7ascwwvm-ocaml-lacaml-11.0.5.drv'
> failed with exit code 1 build of
> /gnu/store/1xnqbgnxhvjjfzbsdsgz6blf7ascwwvm-ocaml-lacaml-11.0.5.drv
> failed View build log at
> '/var/log/guix/drvs/1x/nqbgnxhvjjfzbsdsgz6blf7ascwwvm-ocaml-lacaml-11.0.5.drv.bz2'.
> guix build: error: build of
> `/gnu/store/1xnqbgnxhvjjfzbsdsgz6blf7ascwwvm-ocaml-lacaml-11.0.5.drv'
> failed --8<---------------cut
> here---------------end--------------->8---
> 
> 
> Cheers,
> simon

Ah, thanks for catching this. It looks like I went too fast when
submitting this series... My intention was to update in a separate
patch, but I only tested the updated version. My bad. Since I can't
build the new version with the old ocaml either, I'm updating in a
single patch.

I also noticed a mistake in the second patch, so I'll resend the series.